InheritedModelDefinitionParser (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.specific.InheritedModelDefinitionParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.specific
Class InheritedModelDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.specific.InheritedModelDefinitionParser

All Implemented Interfaces:
  org.springframework.beans.factory.xml.BeanDefinitionParser

    public class InheritedModelDefinitionParser

extends org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

Allows the Inherited model type to be used. This parser simply looks up the real Model bean and passes that back.

Field Summary

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`InheritedModelDefinitionParser()`

Method Summary
`protected org.springframework.beans.factory.support.AbstractBeanDefinition` | `parseInternal(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InheritedModelDefinitionParser

    public InheritedModelDefinitionParser()

Method Detail

### parseInternal

    protected org.springframework.beans.factory.support.AbstractBeanDefinition parseInternal(Element element,
                                                                                             org.springframework.beans.factory.xml.ParserContext parserContext)

  Specified by:
    `parseInternal` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.